<?
	session_start();
	include "../../include/baza_danych.php";
	include "../../include/check_login.php";
	include "../../include/functions.php";
?>
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
	<link rel="stylesheet" type="text/css" href="../css/main.css" media="screen" />
	<!--[if lte IE 6]>
	<link rel="stylesheet" type="text/css" href="../css/ie6_or_less.css" />
	<![endif]-->
	<script type="text/javascript" src="../js/common.js"></script>
	<script type="text/javascript" src="../js/jquery.js"></script>
</head>

<body id="type-a">
<!--
				<script type='text/javascript'> alert(parent.document.documentElement.scrollTop?parent.document.documentElement.scrollTop:parent.document.body.scrollTop)
</script>
				<script type="text/javascript">
				
					function Zmien_pozycje(){
						parent.window.frames["ramka"].scrollBy(0, pozycja);

					}					
				
					var pozycja = parent.window.frames["ramka"].pageYOffset;
			
					var pozycja = parent.top.frames['ramka'].document.body.scrollTop;
			 
						 
						 

					alert("pozycja: "+pozycja);
					
					var f = parent.document.getElementById("ramka");
					var adres = parent.window.location.hash.substr(1);
					if(adres!=""){
						f.src = parent.window.location.hash.substr(1);	
					}else{
						f.src = "./";
					}
					
					setTimeout("Zmien_pozycje()", 1000);
					
				</script>
	 -->			
<div id="wrap">



	<div id="header">

		<? if($go!="usun"){ ?>
		<ul id="nav">

	   <? if(!isset($go)){$go = 'dodaj_zdjecie';} 

		if(!pd(30) and isset($panel)){ $go='info'; }

		if(isset($panel)){$set_opcja="&panel";}?>
		

		<?if(!isset($panel)){?><li<? if($go=="dodaj_zdjecie"){ echo' class="active"';} else {echo' class="first"';} ?>><a href="?go=dodaj_zdjecie&go_strony=<?echo$go_strony;?>&numer_galerii=<?echo$numer_galerii;?>">Zdjęcia</a></li><? } ?>


		</ul>
		<? } ?>
		
	</div>

	<div id="content-wrap">

		<div id="content">

			<div id="breadcrumb">

<?

if($logged_in==1 and (pd(22) or pd(30) or pd(29) or pd(28)) ){





if($go=="ustawienia"){

	if(isset($panel)){

		$tytul_panelu = "Ustawienia domyślne galeri w całym serwisie";

		$temp_sql = " and go_strony='null' and numer_galerii='null'";

		$temp_sql_2 = ",'null','null'";

	}else{

		$tytul_panelu = "Ustawienia galerii";

		$temp_sql = " and go_strony='".$go_strony."' and numer_galerii='".$numer_galerii."'";

		$temp_sql_2 = ",'".$go_strony."','".$numer_galerii."'";

	}

	

	$zapytanie = "SELECT * FROM ".$db_pref."galeria_ustawienia WHERE id_serwisu='".$_SESSION['ID_serwisu']."'".$temp_sql.";";

	$wykonaj = mysql_query ($zapytanie);

	$ile_wpisow = mysql_num_rows($wykonaj);

	if($ile_wpisow==0 and isset($_POST['zmien'])){



		$wykonaj_insert = mysql_query("INSERT INTO ".$db_pref."galeria_ustawienia 

		(id_serwisu,go_strony,numer_galerii,szerokosc,wysokosc,styl,popup) VALUES 

		('".$_SESSION['ID_serwisu']."'".$temp_sql_2.",'".$_POST['szerokosc']."','".$_POST['wysokosc']."','".$_POST['styl']."','".$_POST['popup']."')");

		if (!$wykonaj_insert){

			$komunikat = subkom('Błąd SQL',mysql_error());

		}else{

			$komunikat = subkom('Komunikat','Zmiana ustawień domyślnych galerii dla całego serwisu, przemiegła pomyślnie');

		}

		

		$ustawienia_domyslne['miniaturka_szerokosc'] = $_POST['szerokosc'];

		$ustawienia_domyslne['miniaturka_wysokosc'] = $_POST['wysokosc'];

		$ustawienia_domyslne['miniaturka_styl'] = $_POST['styl'];		

		$ustawienia_domyslne['miniaturka_popup'] = $_POST['popup'];				

	}

	if($ile_wpisow!=0 and isset($_POST['zmien'])){



		$update = mysql_query("UPDATE ".$db_pref."galeria_ustawienia SET 

		szerokosc='".$_POST['szerokosc']."', wysokosc='".$_POST['wysokosc']."', styl='".$_POST['styl']."', popup='".$_POST['popup']."'

		WHERE id_serwisu='".$_SESSION['ID_serwisu']."'".$temp_sql.";");

	     if(!$update){

			$komunikat = subkom('Błąd SQL',mysql_error());

		}else{

			$komunikat = subkom('Komunikat','Zmiana ustawień domyślnych galerii dla całego serwisu, przemiegła pomyślnie');

		}

		

		$ustawienia_domyslne['miniaturka_szerokosc'] = $_POST['szerokosc'];

		$ustawienia_domyslne['miniaturka_wysokosc'] = $_POST['wysokosc'];

		$ustawienia_domyslne['miniaturka_styl'] = $_POST['styl'];		

		$ustawienia_domyslne['miniaturka_popup'] = $_POST['popup'];			

	}

	if($ile_wpisow==0 and !isset($_POST['zmien'])){

		$ustawienia_domyslne['miniaturka_szerokosc'] = "140";

		$ustawienia_domyslne['miniaturka_wysokosc'] = "120";

		$ustawienia_domyslne['miniaturka_styl'] = "border: 3px double #000000";		

		$ustawienia_domyslne['miniaturka_popup'] = "1";		

	}

	if($ile_wpisow!=0 and !isset($_POST['zmien'])){

	   while($wiersz=mysql_fetch_array ($wykonaj)){

			$ustawienia_domyslne['miniaturka_szerokosc'] = $wiersz['szerokosc'];

			$ustawienia_domyslne['miniaturka_wysokosc'] = $wiersz['wysokosc'];

			$ustawienia_domyslne['miniaturka_styl'] = $wiersz['styl'];		

			$ustawienia_domyslne['miniaturka_popup'] = $wiersz['popup'];			

		}		

	}



	

	$popup_set[$ustawienia_domyslne['miniaturka_popup']] = " checked";

	

	echo $komunikat.'

<form action="?go=ustawienia&go_strony='.$go_strony.'&numer_galerii='.$numer_galerii.$set_opcja.'" method="post" class="f-wrap-1">

	<div class="req"><b>*</b> Pola wymagane</div>



	<fieldset>



	<h3>'.$tytul_panelu.'</h3>



	<label for="firstname"><b><span class="req">*</span>Szerokość:</b>

	<input id="firstname" value="'.$ustawienia_domyslne['miniaturka_szerokosc'].'" name="szerokosc" type="text" class="f-name" tabindex="1" /><br />

	</label>



	<label for="lastname"><b><span class="req">*</span>Wysokość:</b>

	<input id="lastname" value="'.$ustawienia_domyslne['miniaturka_wysokosc'].'" name="wysokosc" type="text" class="f-name" tabindex="2" /><br />

	</label>

	

	<label for="comments"><b><span class="req">*</span>Styl:<br/></b>

	<textarea id="comments" name="styl" class="f-comments" rows="2" cols="37" tabindex="3">'.$ustawienia_domyslne['miniaturka_styl'].'</textarea><br />

	</label>

	

	<fieldset class="f-radio-wrap">

	<b>Popup:</b>



		<fieldset>

		

		<label for="brak">

		<input id="brak" type="radio" name="popup" value="0" class="f-radio" tabindex="4"'.$popup_set[0].' />

		nie</label>

		

		<label for="z_www">

		<input id="z_www" type="radio" name="popup" value="1" class="f-radio" tabindex="5"'.$popup_set[1].' />

		tak</label>

		



		</fieldset>

	</fieldset>

	





	<div class="f-submit-wrap"><br />

	<input type="submit" name="zmien" value="Zmień" class="f-submit" tabindex="6" /><br />

	</div>

	</fieldset>

</form>	

	';

}



/*

// CZY PLIKI TEZ? trzeba by dodawac jakas nazwe, opis pliku...

if($go=="dodaj_plik"){

	echo'<p>dodaj plik.</p>';

	// dodaj podglad (jpg) albo uzyj już ustniejacych - np. dla plikow ZIP jeden obrazek...

}

*/



if($go=="dodaj_plik"){



	

	

	// zaladowanie pliku wlasciwego

	// jeszcze jedno pole do powiekszania... jak ustawione to przekazywane do popupa

	

	// może tez typ pliku odczytywany i przekazywany do popupa, wtedy szablon może wybrac jak wyswietlic plik?

	

	

	

	

	

	

	

	

	

	

	

	

	

	

	

	

	

	

	

	



if(isset($_POST['dodaj'])){

   if($tablica_plikow[0]==null or $zdjecie[0]==null){

	  $komunikat = '<div class="featurebox"><h3>Błąd</h3><p>Wypełnij proszę wszystkie wymagane pola.</p></div>';

	}else{

		$zapytanie = "INSERT INTO ".$db_pref."galeria (id_newsa,id_serwisu,go_strony,numer_galerii,nazwa_pliku,przez_kogo,nazwa_pliku_miniaturki) VALUES ('".$_POST['id_newsa']."','".$_SESSION['ID_serwisu']."','".$_POST['go_strony']."','".$_POST['numer_galerii']."','".$tablica_plikow[0]."','".$_SESSION['u_id']."','".$zdjecie[0]."')";

		$wykonaj = mysql_query($zapytanie);

		if ($wykonaj){

		  $komunikat = '<div class="featurebox"><h3>Komunikat</h3><p>Plik został dodany pomyślnie do galerii.</p></div>';

		}	

	}

}





define(ADRES_ZDJEC, 'images/upload/pliki/');

define(KATALOG_ZDJEC, $adres_base.ADRES_ZDJEC);

$max_ile_plikow = 1;		

	

	

	

// usuwanie zaladowanej fotki

if(isset($_POST['usun'])){

  if(isset($_POST['usun_plik'])){

    				$file = KATALOG_ZDJEC.$_POST['usun_plik'];

    			  if(file_exists($file)){

    				  unlink($file);

    				}		

    			  $plik = $_POST['plik'];

    				$x=0;$jest=false;

    				while($x!=$max_ile_plikow){

    					if($tablica_plikow[$x]==$_POST['usun_plik'] and !$jest){$tablica_plikow[$x] = null; $jest=true;}

    					$x++;

    				}	

					$komunikat = "Plik został usunięty pomyślnie";	

  			}

				if(!isset($_POST['usun_plik'])){

  				$komunikat = "Zaznacz plik który chcesz usunąć";

  }

}





// ladowanie fotki

if(isset($_POST['upload_plik'])){

		if($_FILES['plik']['size']<=4096000){


				/*
      	   // pobranie listy plikow starszych niz 60 minut

      	   $lista=array();

            $katalog = opendir(KATALOG_ZDJEC);

            while ($plik = strtolower(readdir($katalog))) { 

              if (($plik<>".")&&($plik<>"..")&&($plik<>"index.php")&&($plik<>"brak.jpg")) { 

                  if((time() - (60*60*2))>filemtime(KATALOG_ZDJEC.$plik)){$lista[] = $plik;}

              } 

            } 

            closedir($katalog);

            sort($lista);

						

				// jesli X pliku nie ma w bazie to usun

				

            for ($i=0;$i<count($lista);$i++) {

            	$ile = mysql_num_rows(mysql_query ("SELECT id FROM ".$db_pref."galeria WHERE nazwa_pliku LIKE '%".$lista[$i]."%' or nazwa_pliku_miniaturki LIKE '%".$lista[$i]."%';"));

            	if($ile==0){

	               $file = KATALOG_ZDJEC.$lista[$i];

	               if(file_exists($file)){ unlink($file); } 								

      			}

            }			

						

			 	*/
				
				

				// losowanie nowej nazwy dla pliku

            function nowa_nazwa($len){ 

              $rstr = ''; 

              for($i=0;$i<$len;$i++){ 

                $p = rand(0,1); 

                switch($p){ 

                  case(0): $rstr .= chr(rand(ord('0'),ord('9')));break; 

                  case(1): $rstr .= chr(rand(ord('a'),ord('z')));break; 

                } 

              } 

              return $rstr; 

            } 

		

				$jest=false;

    			while(!$jest){

    			   $temp = explode(".",$_FILES['plik']['name']);

	            $nowa_nazwa_fotki = nowa_nazwa(20).".".strtolower($temp[1]);

	            $file = KATALOG_ZDJEC.$nowa_nazwa_fotki;

	            if(!file_exists($file)){   

	            	$jest=true;

	            }  

    			}	

					

          copy ($_FILES['plik']['tmp_name'], KATALOG_ZDJEC.$nowa_nazwa_fotki) or $komunikat = "Błąd podczas kopiowania pliku"; 

          if($komunikat==""){

  				   $rozmiar_KB = sprintf("%01.2f",$_FILES['plik']['size']/1024);

  				   $komunikat = "Plik został załadowany pomyślnie. Rozmiar załadowanego pliku: ".$rozmiar_KB." kB";

  					$x=0;$jest=false;

  					while($x<>$max_ile_plikow){

  						if($tablica_plikow[$x]==null and !$jest){$tablica_plikow[$x]=$nowa_nazwa_fotki; $jest=true;}

  						$x++;

  					}					

  			 } 

		}else{

			$komunikat = "Plik nie został załadowany, Błędny rozmiar pliku ".$_FILES['plik']['name'].", Rozmiar: ".sprintf("%01.2f",$_FILES['plik']['size']/1024)." kB";		

		}

}



			

$x=0; $jest=false; $min_1_foto=false;

while($x<$max_ile_plikow){

	if($tablica_plikow[$x]!=null){$min_1_foto=true;

	if($x==($max_ile_plikow-1)){$jest=true;}

	$mod_out_plik .= '<label for="plik"><b><span class="req">*</span>Plik:</b></label>'.$tablica_plikow[$x].' &nbsp;<input type="radio" value="'.$tablica_plikow[$x].'" name="usun_plik">';}

	$x++;

}



if($min_1_foto){	

  $mod_out_plik .= '<input type="submit" value="Usuń" name="usun" class="f-submit"><br><br>';

}			



if(!$jest){	

  $mod_out_plik .= '<label for="plik"><b><span class="req">*</span>Plik:</b></label><input class="f-name" type="file" name="plik" tabindex="2"><input type="submit" value="Załaduj" name="upload_plik" class="f-submit" tabindex="3" /><br><small>(Maksymalny rozmiar 1 pliku to 4Mb)</small>';

}



$x=0;

while($x<$max_ile_plikow){

	if($tablica_plikow[$x]!=null){$mod_out_plik .= '<input type="hidden" name="tablica_plikow[]" value="'.$tablica_plikow[$x].'">';}

	$x++;

}

			

			

			

			

			

			

			

define(ADRES_ZDJEC, 'images/upload/newsy/');

define(KATALOG_ZDJEC, $adres_base.ADRES_ZDJEC);

$max_ile_zdjec = 1;

include"../../include/upload_zdjecia.php";



			 

echo $komunikat.'

<form name="formGaleria" action="?go=dodaj_plik" method="post" class="f-wrap-1" enctype="multipart/form-data">
	<div class="req"><b>*</b>Pola wymagane</div>
	<fieldset>
	<h3>Dodawanie nowego pliku do galerii</h3>
	'.$mod_out.$mod_out_plik.'
	</fieldset>			
	<div class="f-submit-wrap">
	   <input type="submit" name="dodaj" value="Dodaj plik" class="f-submit" /><br />
	</div>
	<input type="hidden" name="go_strony" value="'.$go_strony.'">
	<input type="hidden" name="numer_galerii" value="'.$numer_galerii.'">
</form>
';


}





if($go=='usun'){

	if(isset($id_zdjecia)){

    if(isset($potwierdzenie_usuniecia)){
      $wykonaj = mysql_query ("DELETE FROM ".$db_pref."galeria WHERE id='".$id_zdjecia."';");
      if($wykonaj){
			echo'<script type="text/javascript">parent.Odswiez_strone();</script>';
			echo'<script type="text/javascript">parent.Windows.getWindow("zdjecie_'.$id_zdjecia.'").close();</script>';
		}else{
			komunikat("Błąd",'Błąd podczas usunięcia zdjęcia z bazy');
      }
    }else{

      $komunikat2 = '<div class="pagination">
      <p><a href="?go=usun&nazwa_pliku='.$nazwa_pliku.'&id_zdjecia='.$id_zdjecia.'&potwierdzenie_usuniecia"><strong>TAK</strong></a>&nbsp;&nbsp; <a href="javascript:parent.Windows.getWindow(\'zdjecie_'.$_GET['id_zdjecia'].'\').close();"><font color="#FF0000">NIE</font></a></p>
      <h4>Czy napewno chcesz usunąć to zdjęcie?</h4></div>';

      $komunikat = '<div class="featurebox"><h3>Uwaga!!!</h3><p>Zostanie usunięte zdjęcie o ID: '.$id_zdjecia.'
      <center><img src="../../min_206_183_'.$nazwa_pliku.'" border="0" style="border: 3px double #000000"></center><br />
      </p>'.$komunikat2.'</div>';

      echo$komunikat;

    }

	}else{
		echo'
			<script type="text/javascript">
				var f = parent.document.getElementById("ramka");
				f.src = parent.window.location.hash.substr(1);	
			</script>
		';
	}

}





if($go=="dodaj_zdjecie"){

	if(isset($_POST['dodaj'])){
	  if($_POST['zdjecie']==null){
		  $komunikat = 'Wypełnij proszę wszystkie wymagane pola';
		}else{
			$wykonaj = mysql_query("INSERT INTO ".$db_pref."galeria (numer_galerii,nazwa_pliku,przez_kogo) VALUES ('".$_POST['numer_galerii']."','".$zdjecie[0]."','".$_SESSION['u_id']."')");
			if($wykonaj){
			   $komunikat = 'Zdjęcie zostało dodane do galerii';
				echo'<script type="text/javascript">parent.Odswiez_strone();</script>';
			   $zdjecie[0] = null;
			} 
		}
	}


	define(ADRES_ZDJEC, 'upload/');
	define(KATALOG_ZDJEC, $adres_base.ADRES_ZDJEC);
	$max_ile_zdjec = 1;
	include "../../include/upload_zdjecia.php";

			 
	if(isset($komunikat)){
		komunikat("Komunikat",$komunikat);
	}


	//$sql = mysql_query ("SELECT nazwa FROM ".$db_pref."katalog_produktow WHERE alias='".$numer_galerii."' LIMIT 1;");
	//$row = mysql_fetch_array ($sql);



echo'

	<form name="formGaleria" action="?go=dodaj_zdjecie&numer_galerii='.$_GET['numer_galerii'].'" method="post" class="f-wrap-1" enctype="multipart/form-data">

		<div class="req"><b>*</b> Pola wymagane</div>

		<fieldset>

			<h3>Dodaj zdjęcie:</h3>

			'.$mod_out.'

			<div class="f-submit-wrap">
				<input type="submit" name="dodaj" value="Dodaj" class="f-submit" tabindex="1" /><br />
			</div>

		</fieldset>
		<input type="hidden" name="numer_galerii" value="'.$_GET['numer_galerii'].'">

	</form>

';

}





}if($logged_in==0 or !pd(22)){echo'<center><h2>BRAK DOSTĘPU</h2></center>';}	

?>	

			</div>

		</div>

	</div>

</div>

</body>

</html>